Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.analytics
Class AnalyticEventDispatcher

    java.lang.Object
      com.bea.netuix.servlets.controls.analytics.AnalyticEventDispatcher

    public class AnalyticEventDispatcher

extends Object

Field Summary
`static String` | `ANALYTIC_HANDLER_PROPERTY`
`static String` | `ANALYTIC_HANDLER_SERVICE_PROPERTIES_FILE`
`static boolean` | `ON` Are events going to be logged?
`static boolean` | `ON_TEMP` temporary boolean used to set "final static"

Method Summary
`static AnalyticEventHandler[]` | `getAnalyticEventHandlers()`
`static AnalyticEventDispatcher` | `getInstance()`
`static void` | `logEventToHandlers(AnalyticEvent analyticEvent)`
`void` | `start(com.bea.netuix.servlets.controls.window.Window window)` Start the logging process for a particular lifecycle
`void` | `stop(com.bea.netuix.servlets.controls.window.Window window)` Stop the logging process for a particular lifecycle

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANALYTIC_HANDLER_SERVICE_PROPERTIES_FILE

    public static final String ANALYTIC_HANDLER_SERVICE_PROPERTIES_FILE

See Also
  Constants Summary

### ANALYTIC_HANDLER_PROPERTY

    public static final String ANALYTIC_HANDLER_PROPERTY

See Also
  Constants Summary

### ON_TEMP

    public static boolean ON_TEMP

  temporary boolean used to set "final static"

### ON

    public static final boolean ON

  Are events going to be logged?

Method Detail

### getInstance

    public static AnalyticEventDispatcher getInstance()

### getAnalyticEventHandlers

    public static AnalyticEventHandler[] getAnalyticEventHandlers()

### start

    public void start(com.bea.netuix.servlets.controls.window.Window window)

  Start the logging process for a particular lifecycle

  Parameters
    `window` - a reference to the UIControl beginning the process

### stop

    public void stop(com.bea.netuix.servlets.controls.window.Window window)

  Stop the logging process for a particular lifecycle

  Parameters
    `window` - a reference to the UIControl ending the process

### logEventToHandlers

    public static void logEventToHandlers(AnalyticEvent analyticEvent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.